package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.UploadURL;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface UploadURLRepository extends BaseRepository<UploadURL,Integer> {
    List<UploadURL> findByUploadChannelId(Integer id);


    void deleteByUploadChannelId(Integer uploadChannelId);

    void deleteByUploadObjectId(Integer uploadObjectId);
}
